Index: LMDZ6/branches/Portage_acc/libf/phylmd/read_pstoke.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/read_pstoke.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/read_pstoke.F90	(revision 4446)
@@ -252,9 +252,5 @@
 
     ! niveaux de pression
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidpl, 1, zklevo, pl)
-#else
-    status = nf_get_vara_real(ncidp, varidpl, 1, zklevo, pl)
-#endif
+    status = nf90_get_var(ncidp, varidpl, pl, [1], [ncklevo])
 
     ! lecture de aire et phis
@@ -271,17 +267,9 @@
 
     ! phis
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidps, start, count, phisfi2)
-#else
-    status = nf_get_vara_real(ncidp, varidps, start, count, phisfi2)
-#endif
+    status = nf90_get_var(ncidp, varidps, phisfi2, start, count)
     CALL gr_ecrit_fi(1, klono, imo, jmo+1, phisfi2, phisfi)
 
     ! aire
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidai, start, count, airefi2)
-#else
-    status = nf_get_vara_real(ncidp, varidai, start, count, airefi2)
-#endif
+    status = nf90_get_var(ncidp, varidai, airefi2, start, count)
     CALL gr_ecrit_fi(1, klono, imo, jmo+1, airefi2, airefi)
   ELSE
@@ -309,75 +297,39 @@
     ! *** Lessivage******************************************************
     ! frac_impa
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidfi, start, count, frac_impa2)
-#else
-    status = nf_get_vara_real(ncidp, varidfi, start, count, frac_impa2)
-#endif
+    status = nf90_get_var(ncidp, varidfi, frac_impa2, start, count)
     CALL gr_ecrit_fi(klevo, klono, imo, jmo+1, frac_impa2, frac_impa)
 
     ! frac_nucl
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidfn, start, count, frac_nucl2)
-#else
-    status = nf_get_vara_real(ncidp, varidfn, start, count, frac_nucl2)
-#endif
+    status = nf90_get_var(ncidp, varidfn, frac_nucl2, start, count)
     CALL gr_ecrit_fi(klevo, klono, imo, jmo+1, frac_nucl2, frac_nucl)
 
     ! *** Temperature ******************************************************
     ! abder t
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidt, start, count, t2)
-#else
-    status = nf_get_vara_real(ncidp, varidt, start, count, t2)
-#endif
+    status = nf90_get_var(ncidp, varidt, t2, start, count)
     CALL gr_ecrit_fi(klevo, klono, imo, jmo+1, t2, t)
 
     ! *** Flux pour le calcul de la convection TIEDTK ***********************
     ! mfu
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidmfu, start, count, mfu2)
-#else
-    status = nf_get_vara_real(ncidp, varidmfu, start, count, mfu2)
-#endif
+    status = nf90_get_var(ncidp, varidmfu, mfu2, start, count)
     CALL gr_ecrit_fi(klevo, klono, imo, jmo+1, mfu2, mfu)
 
     ! mfd
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidmfd, start, count, mfd2)
-#else
-    status = nf_get_vara_real(ncidp, varidmfd, start, count, mfd2)
-#endif
+    status = nf90_get_var(ncidp, varidmfd, mfd2, start, count)
     CALL gr_ecrit_fi(klevo, klono, imo, jmo+1, mfd2, mfd)
 
     ! en_u
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidenu, start, count, en_u2)
-#else
-    status = nf_get_vara_real(ncidp, varidenu, start, count, en_u2)
-#endif
+    status = nf90_get_var(ncidp, varidenu, en_u2, start, count)
     CALL gr_ecrit_fi(klevo, klono, imo, jmo+1, en_u2, en_u)
 
     ! de_u
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, variddeu, start, count, de_u2)
-#else
-    status = nf_get_vara_real(ncidp, variddeu, start, count, de_u2)
-#endif
+    status = nf90_get_var(ncidp, variddeu, de_u2, start, count)
     CALL gr_ecrit_fi(klevo, klono, imo, jmo+1, de_u2, de_u)
 
     ! en_d
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidend, start, count, en_d2)
-#else
-    status = nf_get_vara_real(ncidp, varidend, start, count, en_d2)
-#endif
+    status = nf90_get_var(ncidp, varidend, en_d2, start, count)
     CALL gr_ecrit_fi(klevo, klono, imo, jmo+1, en_d2, en_d)
 
     ! de_d
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidded, start, count, de_d2)
-#else
-    status = nf_get_vara_real(ncidp, varidded, start, count, de_d2)
-#endif
+    status = nf90_get_var(ncidp, varidded, de_d2, start, count)
     CALL gr_ecrit_fi(klevo, klono, imo, jmo+1, de_d2, de_d)
 
@@ -385,9 +337,5 @@
     ! turbulent**********************************
     ! coefh
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidch, start, count, coefh2)
-#else
-    status = nf_get_vara_real(ncidp, varidch, start, count, coefh2)
-#endif
+    status = nf90_get_var(ncidp, varidch, coefh2, start, count)
     CALL gr_ecrit_fi(klevo, klono, imo, jmo+1, coefh2, coefh)
 
@@ -395,16 +343,8 @@
     ! Thermiques************************
     ! abder thermiques
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidfmth, start, count, fm_therm2)
-#else
-    status = nf_get_vara_real(ncidp, varidfmth, start, count, fm_therm2)
-#endif
+    status = nf90_get_var(ncidp, varidfmth, fm_therm2, start, count)
     CALL gr_ecrit_fi(klevo, klono, imo, jmo+1, fm_therm2, fm_therm)
 
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidenth, start, count, en_therm2)
-#else
-    status = nf_get_vara_real(ncidp, varidenth, start, count, en_therm2)
-#endif
+    status = nf90_get_var(ncidp, varidenth, en_therm2, start, count)
     CALL gr_ecrit_fi(klevo, klono, imo, jmo+1, en_therm2, en_therm)
 
@@ -416,83 +356,43 @@
     count(4) = 0
     ! pyu1
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidyu1, start, count, pyu12)
-#else
-    status = nf_get_vara_real(ncidp, varidyu1, start, count, pyu12)
-#endif
+    status = nf90_get_var(ncidp, varidyu1, pyu12, start, count)
     CALL gr_ecrit_fi(1, klono, imo, jmo+1, pyu12, pyu1)
 
     ! pyv1
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidyv1, start, count, pyv12)
-#else
-    status = nf_get_vara_real(ncidp, varidyv1, start, count, pyv12)
-#endif
+    status = nf90_get_var(ncidp, varidyv1, pyv12, start, count)
     CALL gr_ecrit_fi(1, klono, imo, jmo+1, pyv12, pyv1)
 
     ! *** Temperature au sol ********************************************
     ! ftsol1
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidfts1, start, count, ftsol12)
-#else
-    status = nf_get_vara_real(ncidp, varidfts1, start, count, ftsol12)
-#endif
+    status = nf90_get_var(ncidp, varidfts1, ftsol12, start, count)
     CALL gr_ecrit_fi(1, klono, imo, jmo+1, ftsol12, ftsol1)
 
     ! ftsol2
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidfts2, start, count, ftsol22)
-#else
-    status = nf_get_vara_real(ncidp, varidfts2, start, count, ftsol22)
-#endif
+    status = nf90_get_var(ncidp, varidfts2, ftsol22, start, count)
     CALL gr_ecrit_fi(1, klono, imo, jmo+1, ftsol22, ftsol2)
 
     ! ftsol3
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidfts3, start, count, ftsol32)
-#else
-    status = nf_get_vara_real(ncidp, varidfts3, start, count, ftsol32)
-#endif
+    status = nf90_get_var(ncidp, varidfts3, ftsol32, start, count)
     CALL gr_ecrit_fi(1, klono, imo, jmo+1, ftsol32, ftsol3)
 
     ! ftsol4
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidfts4, start, count, ftsol42)
-#else
-    status = nf_get_vara_real(ncidp, varidfts4, start, count, ftsol42)
-#endif
+    status = nf90_get_var(ncidp, varidfts4, ftsol42, start, count)
     CALL gr_ecrit_fi(1, klono, imo, jmo+1, ftsol42, ftsol4)
 
     ! *** Nature du sol **************************************************
     ! psrf1
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidpsr1, start, count, psrf12)
-#else
-    status = nf_get_vara_real(ncidp, varidpsr1, start, count, psrf12)
-#endif
+    status = nf90_get_var(ncidp, varidpsr1, psrf12, start, count)
     CALL gr_ecrit_fi(1, klono, imo, jmo+1, psrf12, psrf1)
 
     ! psrf2
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidpsr2, start, count, psrf22)
-#else
-    status = nf_get_vara_real(ncidp, varidpsr2, start, count, psrf22)
-#endif
+    status = nf90_get_var(ncidp, varidpsr2, psrf22, start, count)
     CALL gr_ecrit_fi(1, klono, imo, jmo+1, psrf22, psrf2)
 
     ! psrf3
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidpsr3, start, count, psrf32)
-#else
-    status = nf_get_vara_real(ncidp, varidpsr3, start, count, psrf32)
-#endif
+    status = nf90_get_var(ncidp, varidpsr3, psrf32, start, count)
     CALL gr_ecrit_fi(1, klono, imo, jmo+1, psrf32, psrf3)
 
     ! psrf4
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidpsr4, start, count, psrf42)
-#else
-    status = nf_get_vara_real(ncidp, varidpsr4, start, count, psrf42)
-#endif
+    status = nf90_get_var(ncidp, varidpsr4, psrf42, start, count)
     CALL gr_ecrit_fi(1, klono, imo, jmo+1, psrf42, psrf4)
 
Index: LMDZ6/branches/Portage_acc/libf/phylmd/rrtm/rrtm_taumol2.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/rrtm/rrtm_taumol2.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/rrtm/rrtm_taumol2.F90	(revision 4446)
@@ -22,4 +22,7 @@
  & FORREF   ,SELFREF , REFPARAM  
 USE YOERRTBG2, ONLY : CORR1  ,CORR2
+
+USE print_control_mod, ONLY: mydebug=>debug , lunout, prt_level, &
+ & alert_first_call, call_alert, prt_alerte
 
 !  Input
@@ -65,4 +68,7 @@
 !      EQUIVALENCE (TAUAERL(1,2),TAUAER)
 
+    CHARACTER (LEN=20) :: modname='rrtm_taumol2'
+    CHARACTER*80 message
+
 !     Compute the optical depth by interpolating in ln(pressure) and 
 !     temperature.  Below LAYTROP, the water vapor self-continuum is 
@@ -115,6 +121,10 @@
 ! C'est evidemment une correction suspecte
   IF (IFP>200) THEN
+   IF (call_alert) THEN
+      message='WARNING IFP='
+      CALL prt_alerte(message,modname,1)
       PRINT*,'WARNING IFP=',IFP,' 2.E2_JPRB*Z_FP+0.5_JPRB avec Z_FP=',Z_FP
-      IFP=200
+   ENDIF
+   IFP=200
   ENDIF
 
@@ -156,6 +166,10 @@
   IF (IFP <= 0) IFP=0
   IF (IFP>200) THEN
+   IF (call_alert) THEN
+      message='WARNING IFP='
+      CALL prt_alerte(message,modname,1)
       PRINT*,'WARNING IFP=',IFP,' 2.E2_JPRB*Z_FP+0.5_JPRB avec Z_FP=',Z_FP
-      IFP=200
+   ENDIF
+   IFP=200
   ENDIF
 
Index: LMDZ6/branches/Portage_acc/libf/phylmd/surf_land_mod.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/surf_land_mod.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/surf_land_mod.F90	(revision 4446)
@@ -24,7 +24,6 @@
     USE dimphy
     USE surface_data, ONLY    : ok_veget
-! >> PC
-    USE carbon_cycle_mod 
-! << PC
+    USE carbon_cycle_mod
+
 
     ! See comments in each module surf_land_orchidee_xxx for compatiblity with ORCHIDEE
@@ -45,4 +44,9 @@
     USE surf_land_orchidee_nounstruct_mod
 #else
+#if ORCHIDEE_NOLIC
+    ! Compilation with cpp key ORCHIDEE_NOLIC
+    USE surf_land_orchidee_nolic_mod
+#else
+    ! Default version
     USE surf_land_orchidee_mod
 #endif
@@ -50,12 +54,10 @@
 #endif
 #endif
-
+#endif
+    
     USE surf_land_bucket_mod
     USE calcul_fluxs_mod
     USE indice_sol_mod
-
-! >> PC
     USE print_control_mod, ONLY: lunout
-! << PC
 
     INCLUDE "dimsoil.h"
Index: LMDZ6/branches/Portage_acc/libf/phylmd/surf_land_orchidee_mod.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/surf_land_orchidee_mod.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/surf_land_orchidee_mod.F90	(revision 4446)
@@ -5,11 +5,12 @@
 #ifndef ORCHIDEE_NOFREIN
 #ifndef ORCHIDEE_NOUNSTRUCT
+#ifndef ORCHIDEE_NOLIC
 !
 ! This module controles the interface towards the model ORCHIDEE.
 !
 ! Compatibility with ORCHIDIEE :
-! The current version can be used with ORCHIDEE/trunk from revision 4465.
+! The current version can be used with ORCHIDEE/trunk from revision 7757. 
 ! This interface is used if none of the cpp keys ORCHIDEE_NOOPENMP, 
-! ORCHIDEE_NOZ0H or ORCHIDEE_NOFREIN is set.
+! ORCHIDEE_NOZ0H, ORCHIDEE_NOFREIN or ORCHIDEE_NOLIC is set.
 !
 ! Subroutines in this module : surf_land_orchidee
@@ -20,8 +21,8 @@
   USE dimphy
 #ifdef CPP_VEGET
-  USE intersurf     ! module d'ORCHIDEE
-#endif
-  USE cpl_mod,      ONLY : cpl_send_land_fields
-  USE surface_data, ONLY : type_ocean
+  USE intersurf     ! module in ORCHIDEE
+#endif
+  USE cpl_mod,      ONLY : cpl_send_land_fields, cpl_send_landice_fields
+  USE surface_data, ONLY : type_ocean, landice_opt
   USE geometry_mod, ONLY : dx, dy, boundslon, boundslat,longitude, latitude, cell_area,  ind_cell_glo
   USE mod_grid_phy_lmdz
@@ -152,4 +153,7 @@
     INTEGER                                   :: error
     REAL, DIMENSION(klon)                     :: swdown_vrai
+    REAL, DIMENSION(klon)                     :: run_off_lic        !! run off from land ice defined in ORCHIDEE, contains calving, melting and liquid precipitation
+    REAL, DIMENSION(klon)                     :: run_off_lic_frac   !! cell fraction corresponding to run_off_lic
+    REAL, DIMENSION(klon)                     :: blowingsnow_flux   !! blowing snow flux
     CHARACTER (len = 20)                      :: modname = 'surf_land_orchidee'
     CHARACTER (len = 80)                      :: abort_message
@@ -570,5 +574,6 @@
                lon_scat, lat_scat, q2m(1:knon), t2m(1:knon), z0h_new(1:knon), nvm_orch, &
                grid=grid_type, bounds_latlon=bounds_lalo, cell_area=area, ind_cell_glo=ind_cell, &
-               field_out_names=cfname_out, field_in_names=cfname_in(1:nbcf_in_orc))
+               field_out_names=cfname_out, field_in_names=cfname_in(1:nbcf_in_orc), &
+               coszang=yrmu0(1:knon))
 #endif         
        ENDIF
@@ -603,5 +608,5 @@
             fields_out=yfields_out(1:knon,1:nbcf_out),  &
             fields_in=yfields_in(1:knon,1:nbcf_in_orc), &
-            coszang=yrmu0(1:knon))
+            coszang=yrmu0(1:knon), run_off_lic=run_off_lic(1:knon), run_off_lic_frac=run_off_lic_frac(1:knon), blowingsnow_flux=blowingsnow_flux(1:knon))
 #endif       
     ENDIF
@@ -616,4 +621,7 @@
        CALL cpl_send_land_fields(itime, knon, knindex, &
             riverflow, coastalflow)
+       IF (landice_opt .GE. 2) THEN
+          CALL cpl_send_landice_fields(itime, knon, knindex, run_off_lic, run_off_lic_frac)
+       END IF
     ENDIF
 
@@ -850,3 +858,4 @@
 #endif
 #endif
+#endif
 END MODULE surf_land_orchidee_mod
